/*
 * PrintPreview.java, 25 juin 2005
 * 
 * This file is part of xtnd-commons.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               PrintPreview.java
 * Author's email :     johan@x-tnd.be
 * Author's Website :   http://www.x-tnd.be/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

package be.xtnd.commons.gui;

import be.xtnd.commons.MessagesCommons;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.view.JasperViewer;

/**
 * Redéfini les paramètres de la fenetre de preview JasperReports
 * 
 * @author Johan Cwiklinski
 * @version 1.0
 */
public class PrintPreview extends JasperViewer {
	private static final long serialVersionUID = 5145216530724932384L;

	/**
	 * Crée une fenêtre d'aperçu avant impression JasperReports.
	 * Le titre et l'icône sont paramétrés.
	 * 
	 * @param jasperPrint objet <code>JasperPrint</code> à prévisualiser
	 * @throws JRException en cas d'erreur
	 * 
	 * @see JasperViewer
	 */
	public PrintPreview(JasperPrint jasperPrint) throws JRException {
		super(jasperPrint, false);
		super.setTitle(MessagesCommons.getString("window.print.title"));
		super.setIconImage(MainGui.icon);
		super.setVisible(true);
	}
}
