/*
 * XMLFilter.java, 3 avr. 2006
 * 
 * This file is part of xtnd-commons.
 *
 * Copyright © 2006 Johan Cwiklinski
 *
 * File :               XMLFilter.java
 * Author's email :     johan@x-tnd.be
 * Author's Website :   http://www.x-tnd.be/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

/**
 * 
 */
package be.xtnd.commons.utils;

import java.io.File;

import be.xtnd.commons.MessagesCommons;

/**
 * Filtre les fichiers SQL
 * 
 * @author Johan Cwiklinski
 * @version 1.0
 */
public class SQLFilter extends javax.swing.filechooser.FileFilter{

	/**
	 * @param file fichier
	 * @return renvoie true si le fichier porte l'extension .sql ou est un répertoire
	 */
	@Override
    public boolean accept(File file) {
    	boolean result = false;
        if (file.isDirectory()){
            return true;
        }
        String extension = UtilsChooser.getExtension(file);
        if (extension != null){
        	result = (extension.equals(UtilsChooser.bdd))?true:false;
        }
        return result;
    }
    
	/**
	 * @return Description du filtre
	 */
	@Override
	public String getDescription() {
		return MessagesCommons.getString("files.sql.description");
    }
}
