/*
 * UtilsChooser.java, 7 sept. 2005
 * 
 * This file is part of cantine.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	UtilsChooser.java
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://www.x-tnd.be/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

package be.xtnd.commons.utils;

import java.io.File;

/**
 * Utilitaires de fichiers
 * 
 * @author Johan Cwiklinski
 * @version 1.0
 */
public class UtilsChooser{
    /* IMAGES */
	/** Extension fichiers JPEG */
	public final static String jpeg = "jpeg";
	/** Extension fichiers JPEG */
    public final static String jpg = "jpg";
	/** Extension fichiers GIF */
    public final static String gif = "gif";
	/** Extension fichiers TIF */
    public final static String tiff = "tiff";
	/** Extension fichiers TIF */
    public final static String tif = "tif";
	/** Extension fichiers PNG */
    public final static String png = "png";
    /* FICHIERS BDD */
	/** Extension fichiers base de données HSQLDB */
    public final static String hsqldb = "script";
    /* FICHIERS SQL */
	/** Extension fichiers base de données */
    public final static String bdd = "sql";
	/** Extension fichiers xml */
    public final static String xml = "xml";

    /**
     * Récupère l'extension d'un fichier
     * 
     * @param 	f le fichier
     * @return	l'extension du fichier
     */
    public static String getExtension(File f){
        String ext = null;
        String s = f.getName();
        int i = s.lastIndexOf('.');
        if (i > 0 && i < s.length() - 1)
            ext = s.substring(i + 1).toLowerCase();
        return ext;
    }    
    
    /**
     * Récupère le nom du fichier sans extension
     * 
     * @param 	f le fichier
     * @return	le nom de fichier sans extension
     */
    public static String removeExtension(File f){
    	String ext = null;
    	String s = f.getName();
    	int i = s.lastIndexOf('.');
    	if(i==-1) ext = s; //cas nom sans extension
    	if (i > 0 && i < s.length() - 1)
    		ext = s.substring(0, i).toLowerCase();
    	return ext;
    }
}
